#!/usr/bin/php

<?php

	error_reporting(E_ALL | E_NOTICE | E_WARNING | E_STRICT);

	require_once('monitino.class.php');
	require_once('php_serial.class.php');

	$simpleInfo = new Monitino();

	// Setup connection
	$serial = new phpSerial();
	$serial->deviceSet("/dev/ttyACM0");
	$serial->confBaudRate(57600);
	$serial->confParity("none");
	$serial->confCharacterLength(8);
	$serial->confStopBits(1);
	$serial->deviceOpen();

	while(true)
	{
		// Get CPU usage
		$cpus = trim(round($simpleInfo->getCPU()));
		
		// Get sensorsd values
		$cput = trim(round($simpleInfo->getSensor('coretemp-isa-0000', 'temp1_input')));
		$cpuf = trim(round($simpleInfo->getSensor('f71889a-isa-0290', 'fan1_input')));
		
		// Get disk usage
		$syst = trim(round($simpleInfo->getDF('/dev/sda2')));
		$sysh = trim(round($simpleInfo->getDF('/dev/sda5')));

		// Preapre message
		$message = "cpus:".$cpus."|cput:".$cput."|cpuf:".$cpuf;
		$message.= "|syst:".$syst."|sysh:".$sysh;

		// Send to Arduino
		$serial->sendMessage($message."\n");
		echo $message."\n";
		sleep(1);
	}

?>